## kio 5.116.0+p24.04+vstable+git20251011.1226

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts

project(KIO VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.116.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMSourceVersionControl)
include(ECMDeprecationSettings)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KIO
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KIOConfigVersion.cmake"
  SOVERSION 5)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KIOCORE_ONLY "Only compile KIOCore, not KIOWidgets or anything that depends on it. This will disable support for cookies and passwordhandling (prompting and storing)." OFF)

# Enable state assertion by default on Jenkins and from-git builds.
# This option should eventually be dropped and always be enabled.
set(ASSERT_SLAVE_STATES_DEFAULT OFF)
if(DEFINED ENV{JENKINS_SERVER_COOKIE} OR ECM_SOURCE_UNDER_VERSION_CONTROL)
    set(ASSERT_SLAVE_STATES_DEFAULT ON)
endif()
option(KIO_ASSERT_SLAVE_STATES
    "Used to control whether worker state assertions are enabled. When not enabled only warnings are generated."
    ${ASSERT_SLAVE_STATES_DEFAULT})

# TODO KF6: remove
option(KIO_NO_PUBLIC_QTCONCURRENT "Privatize QtConcurrent linking, so KIO does not provide the target to revdeps.")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

option(USE_FTPD_WSGIDAV_UNITTEST "Use ftpd Ruby Gem (for ftptest) and wsgidav Python module (for webdavtest) in unittests. Note that this is a temporary option that will be removed when distros add those packages in their repos." OFF)

option(KF6_COMPAT_BUILD "Don't install files that conflict with KF6" OFF)

find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})
find_package(KF5Solid ${KF_DEP_VERSION} REQUIRED) # for kio_trash
if (NOT ANDROID)
    find_package(KF5Crash ${KF_DEP_VERSION} REQUIRED)
    find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
endif()

if (NOT KIOCORE_ONLY)
find_package(KF5Bookmarks ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)

find_package(KDED)
set_package_properties(KDED PROPERTIES DESCRIPTION "Daemon providing session services"
                       TYPE RUNTIME
                       PURPOSE "KDED is used at runtime for proxy management and cookie storage"
                      )

find_package(SwitcherooControl)
set_package_properties(SwitcherooControl PROPERTIES
    TYPE RUNTIME
    PURPOSE "Hybrid GPU support"
)

endif()

if (UNIX AND NOT ANDROID)
    find_package(KF5Auth ${KF_DEP_VERSION} REQUIRED)
endif()

# tell what is missing without doctools
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Provides tools to generate documentation in various format from DocBook files"
                       TYPE OPTIONAL
                       PURPOSE "Required to build help KIO worker and documentation"
                      )

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Network Concurrent Xml Test)
if (NOT ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

set(_qt6_core_compat_found FALSE)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat ${REQUIRED_QT_VERSION} REQUIRED) # QTextCodec
    set(_qt6_core_compat_found ${Qt6Core5Compat_FOUND})
endif()

find_package(GSSAPI)
set_package_properties(GSSAPI PROPERTIES DESCRIPTION "Allows KIO to make use of certain HTTP authentication services"
                       URL "https://web.mit.edu/kerberos/www/"
                       TYPE OPTIONAL
                       PURPOSE "A MIT or HEIMDAL flavor of GSSAPI can be used"
                      )

if (NOT APPLE AND NOT WIN32 AND NOT ANDROID)
    option(WITH_X11 "Build with X11 integration" ON)
    if(WITH_X11)
        if (QT_MAJOR_VERSION STREQUAL "5")
            find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
        else()
            # qtx11extras_p.h is in Qt6Gui, which is implied by the find_package(QtWidgets) above
        endif()
    endif()
    set(HAVE_X11 ${WITH_X11})
endif()

find_package(ACL)
set(HAVE_LIBACL ${ACL_FOUND})
set(HAVE_POSIX_ACL ${ACL_FOUND})
set_package_properties(ACL PROPERTIES DESCRIPTION "LibACL"
                       URL "ftp://oss.sgi.com/projects/xfs/cmd_tars"
                       TYPE RECOMMENDED
                       PURPOSE "Support for manipulating access control lists")

# Used by KMountPoint
if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(LibMount REQUIRED)
    set(HAVE_LIB_MOUNT ${LibMount_FOUND})
endif()

if (ANDROID)
    # used to mark code that is just stubbed out on Android for now
    # and that would still need a decision on how to deal with that
    add_definitions(-DKIO_ANDROID_STUB)
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97
    KCOMPLETION 5.65 # we use KPixmapProvider in public API
    KSERVICE 5.81 # we use KMimeTypeTrader in KFileItemActions
    KCOREADDONS 5.85 # KService::createInstance uses deprecated parts of KCoreAddons in the header
    KCONFIGCORE 5.81 # we use KDesktopFile::readDevice
    KWIDGETSADDONS 5.96 # we use KMessageDialog::Sorry
)

add_definitions(-DTRANSLATION_DOMAIN=\"kio5\")
ki18n_install(po)

if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF5DocTools_FOUND)
     add_subdirectory(docs)
endif()

include(CheckLibraryExists)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    if (NOT KIOCORE_ONLY)
        add_subdirectory(tests)
    endif()
endif()

add_subdirectory(kconf_update)
add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KIO")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5KIO_QCH
        FILE KF5KIOQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5KIOQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KIOConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KIOConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KIOConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KIOConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KIOTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KIOTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIO COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20251011.1226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:26:25 +0000

=== debian/control ===
Source: kio
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               kded5-dev,
               libacl1-dev,
               libkf5archive-dev (>= 5.51.0~),
               libkf5auth-dev (>= 5.51.0~),
               libkf5bookmarks-dev (>= 5.51.0~),
               libkf5codecs-dev (>= 5.7.0),
               libkf5completion-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5crash-dev (>= 5.51.0~),
               libkf5dbusaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.51.0~),
               libkf5jobwidgets-dev (>= 5.51.0~),
               libkf5notifications-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5solid-dev (>= 5.51.0~),
               libkf5textwidgets-dev (>= 5.51.0~),
               libkf5wallet-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               libkrb5-dev,
               libmount-dev [linux-any],
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.8.0~),
               libxml2-dev,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               switcheroo-control,
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kio
Vcs-Git: https://invent.kde.org/neon/kde/kio.git
Vcs-Browser: https://invent.kde.org/neon/kde/kio
Maintainer: Neon CI <neon@kde.org>

Package: kio
Architecture: any
Depends: kded5, switcheroo-control, ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.51),
        kdesignerplugin (<< 5.51),
        kinit (<< 5.51),
        kio-extras (<< 4:5.0.95-0ubuntu1~ubuntu14.10~ppa6),
        kio-extras-data (<< 4:5.0.95-0ubuntu1~ubuntu14.10~ppa6),
        kross (<< 5.51),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.51),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5purpose-bin (<< 5.51),
        libkf5runner5 (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5webkit5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kio (<< 5.51)
Replaces: kio-extras (<< 4:5.0.95-0ubuntu1~ubuntu14.10~ppa6),
          kio-extras-data (<< 4:5.0.95-0ubuntu1~ubuntu14.10~ppa6)
Description: resource and network access abstraction
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.

Package: kio-dev
Depends: libkf5kio-dev, ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
Breaks: kross-dev (<< 5.51),
        libkf5declarative-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5newstuff-dev (<< 5.51),
        libkf5notifyconfig-dev (<< 5.51),
        libkf5parts-dev (<< 5.51)

Package: libkf5kio-dev
Section: libdevel
Architecture: any
Depends: kio (= ${binary:Version}),
         libkf5bookmarks-dev (>= 5.51.0~),
         libkf5completion-dev (>= 5.51.0~),
         libkf5itemviews-dev (>= 5.51.0~),
         libkf5jobwidgets-dev (>= 5.51.0~),
         libkf5kiocore5 (= ${binary:Version}),
         libkf5kiofilewidgets5 (= ${binary:Version}),
         libkf5kiogui5 (= ${binary:Version}),
         libkf5kiontlm5 (= ${binary:Version}),
         libkf5kiowidgets5 (= ${binary:Version}),
         libkf5service-dev (>= 5.51.0~),
         libkf5solid-dev (>= 5.51.0~),
         libkf5xmlgui-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kio-dev (<< 5.23.0-2~),
        kross-dev (<< 5.51),
        libkf5declarative-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5kio-doc (<< 5.61.90-0),
        libkf5newstuff-dev (<< 5.51),
        libkf5notifyconfig-dev (<< 5.51),
        libkf5parts-dev (<< 5.51),
        libkf5xmlrpcclient-dev (<< 5.51)
Replaces: kio-dev (<< 5.23.0-2~), libkf5kio-doc (<< 5.61.90-0)
Recommends: libkf5kio-doc (= ${source:Version})
Description: resource and network access abstraction (development files)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the development files for kio.

Package: libkf5kio-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: resource and network access abstraction (documentation)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the QCH documentation files.

Package: libkf5kiocore5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: resource and network access abstraction (KIO core library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains the core classes.
Breaks: baloo-kf5 (<< 5.51),
        frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.51),
        kio (<< 5.53.0),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5purpose-bin (<< 5.51),
        libkf5runner5 (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5webkit5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kio (<< 5.42)
Replaces: kio (<< 5.53.0)

Package: libkf5kiofilewidgets5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: resource and network access abstraction (KIO file widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some file dialog widgets.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.51),
        kross (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42)

Package: libkf5kiogui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: resource and network access abstraction (KIO gui library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains gui related jobs.

Package: libkf5kiontlm5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: resource and network access abstraction (KIO NTLM library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library implements the NTLM authentication protocol

Package: libkf5kiowidgets5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: resource and network access abstraction (KIO widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some UI widgets.
Breaks: baloo-kf5 (<< 5.42),
        frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.51),
        kinit (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.51),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5purpose-bin (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5webkit5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kio (<< 5.51)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_RUNTIME_COMPONENTS=OFF -DKF6_COMPAT_BUILD=ON

override_dh_shlibdeps:
	dh_shlibdeps $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkio
	dh_shlibdeps --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration='kio-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kio-([\d.]+)\.tar\.xz

## kio 5.116.0+p24.04+vstable+git20251020.0255

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20251020.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:56:08 +0000

## kio 5.116.0+p24.04+vstable+git20251031.0720

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20251031.0720-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:20:32 +0000

## kio 5.116.0+p24.04+vstable+git20260126.0606

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20260126.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:06:24 +0000

## kio 5.116.0+p24.04+vstable+git20260131.0212

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:36 +0000

## kio 5.116.0+p24.04+vunstable+git20251015.1251

=== debian/changelog ===
kio (5.116.0+p24.04+vunstable+git20251015.1251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:51:24 +0000

## kio 5.116.0+p24.04+vunstable+git20251020.0622

=== debian/changelog ===
kio (5.116.0+p24.04+vunstable+git20251020.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:22:18 +0000

## kio 5.116.0+p24.04+vunstable+git20251124.0820

=== debian/changelog ===
kio (5.116.0+p24.04+vunstable+git20251124.0820-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 08:20:29 +0000

## kio 5.116.0+p24.04+vunstable+git20251204.0154

=== debian/changelog ===
kio (5.116.0+p24.04+vunstable+git20251204.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:55:05 +0000

## kio 5.116.0+p24.04+vunstable+git20260126.0725

=== debian/changelog ===
kio (5.116.0+p24.04+vunstable+git20260126.0725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:25:40 +0000

## kio 5.116.0+p24.04+vunstable+git20260129.0239

=== debian/changelog ===
kio (5.116.0+p24.04+vunstable+git20260129.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:40:04 +0000

## kio gopher-0.1.2

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( bg )
add_subdirectory( br )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( cy )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( it )
add_subdirectory( ka )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( rw )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( ta )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

## kio gopher-0.1.2-kde4.1.1

=== CMakeLists.txt ===

if (NOT KDE4_FOUND)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	include_directories(${KDE4_INCLUDES})
endif (NOT KDE4_FOUND)


set(kio_man_PART_SRCS kio_gopher.cpp)

kde4_add_plugin(kio_gopher ${kio_man_PART_SRCS})

target_link_libraries(kio_gopher  ${KDE4_KIO_LIBS})

install(TARGETS kio_gopher  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES gopher.protocol DESTINATION  ${SERVICES_INSTALL_DIR})

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,20 +15,17 @@
 add_subdirectory( gl )
 add_subdirectory( it )
 add_subdirectory( ka )
-add_subdirectory( km )
 add_subdirectory( lt )
 add_subdirectory( lv )
 add_subdirectory( ms )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )
-add_subdirectory( nn )
 add_subdirectory( pa )
 add_subdirectory( pl )
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ro )
-add_subdirectory( ru )
 add_subdirectory( rw )
 add_subdirectory( sk )
 add_subdirectory( sv )

## kio gopher-0.1.2-kde4.1.3

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ro )
+add_subdirectory( ru )
 add_subdirectory( rw )
 add_subdirectory( sk )
 add_subdirectory( sv )

## kio gopher-0.1.3-kde4.3.0

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,14 +13,17 @@
 add_subdirectory( fr )
 add_subdirectory( ga )
 add_subdirectory( gl )
+add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ka )
+add_subdirectory( km )
 add_subdirectory( lt )
 add_subdirectory( lv )
 add_subdirectory( ms )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )
+add_subdirectory( nn )
 add_subdirectory( pa )
 add_subdirectory( pl )
 add_subdirectory( pt )

## kio gopher-0.1.3-kde4.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,4 @@
 find_package(Msgfmt REQUIRED)
 find_package(Gettext REQUIRED)
 add_subdirectory( po )
+add_subdirectory( doc-translations )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,21 @@
 add_subdirectory( bg )
 add_subdirectory( br )
 add_subdirectory( ca )
+add_subdirectory( ca@valencia )
 add_subdirectory( cs )
 add_subdirectory( cy )
 add_subdirectory( da )
 add_subdirectory( de )
 add_subdirectory( el )
 add_subdirectory( en_GB )
+add_subdirectory( eo )
 add_subdirectory( es )
 add_subdirectory( et )
+add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
 add_subdirectory( gl )
+add_subdirectory( hr )
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ka )

## kio sysinfo-20090828

=== CMakeLists.txt ===
project(kio_sysinfo)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(MacroOptionalFindPackage)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

macro_optional_find_package(HD)

string(TOLOWER "${SYSINFO_DISTRO}" _distro)
set(ABOUT_SUBDIR ${_distro})
if (_distro STREQUAL "suse")
   set(WITH_SUSE TRUE)
elseif (_distro STREQUAL "fedora")
   set(WITH_FEDORA TRUE)
   set(ABOUT_SUBDIR "generic")
elseif (_distro STREQUAL "mandriva")
   set(WITH_MANDRIVA TRUE)
elseif (_distro STREQUAL "debian")
   set(WITH_DEBIAN TRUE)
else (_distro STREQUAL "suse")
   set(ABOUT_SUBDIR "generic")
endif (_distro STREQUAL "suse")

if (HD_FOUND)
   set(HAVE_HD TRUE)
endif (HD_FOUND)

if (X11_FOUND)
   macro_optional_find_package(OpenGL)
   if (OPENGL_FOUND)
      set(HAVE_GLXCHOOSEVISUAL TRUE)
   endif (OPENGL_FOUND)
endif (X11_FOUND)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config-kiosysinfo.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/src/config-kiosysinfo.h)

add_subdirectory(src)

#process and install translations
if(FALSE)
find_package(Gettext REQUIRED)
file(GLOB po_files po/*.po)
set(_gmoFiles)
foreach (_current_PO_FILE ${po_files})
   get_filename_component(_basename ${_current_PO_FILE} NAME_WE)
   set(_lang ${_basename})
   set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_basename}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
      WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
      DEPENDS ${_current_PO_FILE}
   )
   list(APPEND _gmoFiles ${_gmoFile})
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_basename}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME kio_sysinfo.mo)
endforeach (_current_PO_FILE ${po_files})
add_custom_target(pofiles ALL DEPENDS ${_gmoFiles})
endif(FALSE)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(de)
add_subdirectory(lt)
add_subdirectory(km)
add_subdirectory(el)
add_subdirectory(pt)
add_subdirectory(nds)
add_subdirectory(ms)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(cs)
add_subdirectory(zh_TW)
add_subdirectory(nn)
add_subdirectory(en_GB)
add_subdirectory(tr)
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(ga)
add_subdirectory(uk)
add_subdirectory(nb)
add_subdirectory(fr)
add_subdirectory(pa)
add_subdirectory(es)
add_subdirectory(gl)
add_subdirectory(ro)

=== src/CMakeLists.txt ===
if (ABOUT_SUBDIR)
   add_subdirectory(about/${ABOUT_SUBDIR})
endif (ABOUT_SUBDIR)

if (HD_FOUND)
   include_directories(${HD_INCLUDE_DIR})
endif (HD_FOUND)
if (OPENGL_FOUND)
   include_directories(${OPENGL_INCLUDE_DIR})
endif (OPENGL_FOUND)

set(kio_sysinfo_SRCS
   sysinfo.cpp
)
set_source_files_properties(sysinfo.cpp COMPILE_FLAGS -DQT_NO_KEYWORDS)
kde4_add_plugin(kio_sysinfo ${kio_sysinfo_SRCS})
target_link_libraries(kio_sysinfo ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})
if (HD_FOUND)
   target_link_libraries(kio_sysinfo ${HD_LIBRARY})
endif (HD_FOUND)
if (OPENGL_FOUND)
   target_link_libraries(kio_sysinfo ${OPENGL_gl_LIBRARY} ${X11_LIBRARIES})
endif (OPENGL_FOUND)
install(TARGETS kio_sysinfo DESTINATION ${PLUGIN_INSTALL_DIR})

set(libksysinfopart_SRCS
   ksysinfopart.cpp
)
kde4_add_plugin(libksysinfopart ${libksysinfopart_SRCS})
target_link_libraries(libksysinfopart ${KDE4_KHTML_LIBS} ${KDE4_KPART_LIBS} ${KDE4_SOLID_LIBRARY})
install(TARGETS libksysinfopart DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES sysinfo.protocol ksysinfopart.desktop DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kfmclient_sysinfo.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

find_package(SharedMimeInfo REQUIRED)
install(FILES x-sysinfo.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== src/about/debian/CMakeLists.txt ===
install(FILES
    images/background.png
    images/bar.png
    images/cpu.png
    images/dirs.png
    images/display.png
    images/launch.png
    images/mem.png
    images/network.png
    images/sysinfo.png
    DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about/images
)

install(FILES
   my-computer.html
   style.css
   DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about
)

=== src/about/generic/CMakeLists.txt ===
install( FILES
    images/background.png
    images/bar.png
    images/battery.png
    images/cpu.png
    images/dirs.png
    images/display.png
#    images/hdd.png
#    images/hwinfo.png
#    images/inner-bcg.png
    images/launch.png
    images/mem.png
    images/network.png
    images/sysinfo.png
    DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about/images
)

install (FILES
   my-computer.html
   style.css
   DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about
)

=== src/about/suse/CMakeLists.txt ===
install( FILES
    images/background.png
    images/dirs.png
    images/hdd.png
    images/inner-bcg.png
    images/network.png
    images/cpu.png
    images/display.png
    images/hdds.png
    images/launch.png
    images/mem.png
    images/sysinfo.png

    DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about/images
)

install (FILES
   my-computer.html
   style.css
   DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about
)

## kio sysinfo-20090930

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 if (ABOUT_SUBDIR)
    add_subdirectory(about/${ABOUT_SUBDIR})
 endif (ABOUT_SUBDIR)
+add_subdirectory(about/shared)
 
 if (HD_FOUND)
    include_directories(${HD_INCLUDE_DIR})

=== src/about/shared/CMakeLists.txt ===
install (FILES
   shared.css
   DESTINATION ${DATA_INSTALL_DIR}/sysinfo/about
)
